commit:     790935f76729f1e95acf226d5f45b2085bcf1b5a
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  7 10:27:09 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Feb  7 12:00:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=790935f7

dev-python/numexpr: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/numexpr/Manifest           |  1 +
 dev-python/numexpr/numexpr-2.5.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/numexpr/Manifest b/dev-python/numexpr/Manifest
index 33dff3a..ad3b9ca 100644
--- a/dev-python/numexpr/Manifest
+++ b/dev-python/numexpr/Manifest
@@ -1,3 +1,4 @@
 DIST numexpr-2.4.3.tar.gz 85171 SHA256 
3ae7191c89df40db6b0a8637a4dace7c5956bc910793a53225f985f3b443c722 SHA512 
b33984072fddd4303980be8533e1348b48ff27de5e150029147e3666ce6bb9e1147dbc45eb0ef22506aebaea6fb366d65ff01221235f9b9935d78ea70ba9aa53
 WHIRLPOOL 
ac5981bac643b825d6ab2fbd6c46b6d73ad62374490e5f05a71fc0b9c4269ab401617da98079e1604b11f454863e64e009a2acc00b7b30499b20eff73efe033f
 DIST numexpr-2.4.4.tar.gz 87133 SHA256 
dfa2fad1af040e93a8022fbe4437f2183bf80e5f64d466381ad589308a73565b SHA512 
abc53f8aafb39e55b6b811c1f08c01eefca23c36fb9d20a82484ef658c8062ffe51d8841d6651f43fb7f8cea6420270623df6ba9f98a95a0f7a09e6ceef91b35
 WHIRLPOOL 
9ab19609189e866a11c03b0aeaa3b93124d8018d53e8dec641721eff39eb73c969c34c457209d63988361ffadef13a205ba5b71d19ad120e9f44313f42c7cd1b
 DIST numexpr-2.4.6.tar.gz 87481 SHA256 
052397670dc56d7845ff894cd7d858e4f115491ecd93bcc0eda5cb83990c5da3 SHA512 
fb68e0e782fd9e9e3cef9288addc0dfc3b79dbf01f0e72422cda6d5effd0f1629a49f9e5b89dcd16fa904423e0e9c776f3f276b4817e83cc58029c90a8627096
 WHIRLPOOL 
485eb98636f1ee5e1efbc843b404a23f3495d1b6682de15b67275a9c4082c87a1550d1bb91a19a7942f10f2f137af4a6294aaed95d7fd746f2db45d7319b70ec
+DIST numexpr-2.5.tar.gz 88347 SHA256 
319cdf4e402177a1c8ed4972cffd09f523446f186d347b7c1974787cdabf0294 SHA512 
32cc70a9dd8cec67d014056c98e798bdaef6338365366ebebd60fa5655dda2cdcb5df550c8afe87aa85e0c87ebada6ae695d125d8b605f32c368bde731ff2a6c
 WHIRLPOOL 
a48a887b324d9a904083621024fcdd6c5fcaa60577c9d76bf88bb370d844b75c409851e9f4a28aefce2a5a3f0420329c67f3d68e825c2525db1dd6aea2340bb1

diff --git a/dev-python/numexpr/numexpr-2.5.ebuild 
b/dev-python/numexpr/numexpr-2.5.ebuild
new file mode 100644
index 0000000..263d9a7
--- /dev/null
+++ b/dev-python/numexpr/numexpr-2.5.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Fast numerical array expression evaluator for Python and NumPy"
+HOMEPAGE="https://github.com/pydata/numexpr";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="mkl"
+
+RDEPEND="
+       >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+       mkl? ( sci-libs/mkl )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       # TODO: mkl can be used but it fails for me
+       # only works with mkl in tree. newer mkl will use pkgconfig
+       if use mkl; then
+               local ext
+               use amd64 && ext=_lp64
+               cat <<- EOF > "${S}"/site.cfg
+               [mkl]
+               library_dirs = ${MKLROOT}/lib/em64t
+               include_dirs = ${MKLROOT}/include
+               mkl_libs = mkl_solver${ext}, mkl_intel${ext}, \
+               mkl_intel_thread, mkl_core, iomp5
+               EOF
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       pushd "${BUILD_DIR}"/lib > /dev/null
+       "${PYTHON}" \
+               -c "import sys;import numexpr;sys.exit(0 if numexpr.test() else 
1)" \
+               || die
+       pushd > /dev/null
+}

Reply via email to